.intro {
    position: absolute;
    width: 100%;
    height: 100dvh;
    min-height: 100svh;
    background: rgba(0, 0, 0, 0.3);
    color: white;
    z-index: 5;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    padding: 3rem 0;
    font-family: var(--font-content);
    color: var(--color-light);
}

.intro h2 {
    font-size: 1.1rem;
}

.intro h1 {
    font-family: var(--font-display);
    font-size: 3rem;
}

.intro p {
    font-size: 1.5rem;
    line-height: 2rem;
    margin-bottom: 1rem;
}

.intro a {
    text-decoration: none;
    color: var(--color-accent);
    background-color: var(--color-contrast);
    padding: 0.5rem;
    transition: background 0.5s ease, color 0.5s ease;
}

.intro a:hover {
    color: var(--color-contrast);
    background-color: var(--color-accent);

}

.intro i {
    margin-right: 5px;
}

@keyframes introSlideUp {
    0%   { transform: translateY(0); }
    100% { transform: translateY(-100vh); }
}

@keyframes homeSlideUp {
    0%   { transform: translateY(100vh); }
    100% { transform: translateY(0); }
}

/* animasi keluar */
.intro.slide-out {
    animation: introSlideUp 1200ms ease-in-out forwards;
}

